Debian Bug report logs - #603388
FTBFS: build-depends on virtual package without declaring a real package

version graph

Package: portaudio19; Maintainer for portaudio19 is Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>;

Reported by: Neil Williams <codehelp@debian.org>

Date: Sat, 13 Nov 2010 17:03:01 UTC

Severity: serious

Tags: patch

Found in version 19+svn20071022-3.1

Fixed in version portaudio19/19+svn20071022-3.2

Done: Mehdi Dogguy <mehdi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, codehelp@debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#603388; Package portaudio19. (Sat, 13 Nov 2010 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to codehelp@debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sat, 13 Nov 2010 17:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: build-depends on virtual package without declaring a real package
Date: Sat, 13 Nov 2010 17:02:33 +0000
Package: portaudio19
Version: 19+svn20071022-3.1
Severity: serious
Justification: Policy 7.1

portaudio19 build-depends on libjack0.100.0-dev which has no installation
candidate, causing multiple buildd failures:

https://buildd.debian.org/pkg.cgi?pkg=portaudio19

portaudio19 needs to decide which of the two packages which can provide
libjack0.100.0-dev should actually be used to build portaudio19 in Debian and
then put that as a preference:

 libjack-dev | libjack0.100.0-dev,

or

libjack-jackd2-dev | libjack0.100.0-dev,

This is preventing the fix for another RC bug (#563192) from actually getting
into Squeeze.

Please decide which jack -dev package is to be used. The buildd cannot decide
this for you.




-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#603388; Package portaudio19. (Thu, 25 Nov 2010 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Thu, 25 Nov 2010 16:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 603388@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: 603388@bugs.debian.org
Subject: portaudio19: diff for NMU version 19+svn20071022-3.2
Date: Thu, 25 Nov 2010 17:22:25 +0100
[Message part 1 (text/plain, inline)]
tags 603388 + patch
thanks

Dear maintainer,

I've prepared an NMU for portaudio19 (versioned as 19+svn20071022-3.2). The diff
is attached to this message. I'm uploading to DELAYED/0.

Regards.

-- 
Mehdi Dogguy
[portaudio19-19+svn20071022-3.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Thu, 25 Nov 2010 16:24:09 GMT) Full text and rfc822 format available.

Reply sent to Mehdi Dogguy <mehdi@debian.org>:
You have taken responsibility. (Thu, 25 Nov 2010 16:33:05 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Thu, 25 Nov 2010 16:33:06 GMT) Full text and rfc822 format available.

Message #17 received at 603388-close@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: 603388-close@bugs.debian.org
Subject: Bug#603388: fixed in portaudio19 19+svn20071022-3.2
Date: Thu, 25 Nov 2010 16:32:13 +0000
Source: portaudio19
Source-Version: 19+svn20071022-3.2

We believe that the bug you reported is fixed in the latest version of
portaudio19, which is due to be installed in the Debian FTP archive:

libportaudio2_19+svn20071022-3.2_i386.deb
  to main/p/portaudio19/libportaudio2_19+svn20071022-3.2_i386.deb
libportaudiocpp0_19+svn20071022-3.2_i386.deb
  to main/p/portaudio19/libportaudiocpp0_19+svn20071022-3.2_i386.deb
portaudio19-dev_19+svn20071022-3.2_i386.deb
  to main/p/portaudio19/portaudio19-dev_19+svn20071022-3.2_i386.deb
portaudio19-doc_19+svn20071022-3.2_all.deb
  to main/p/portaudio19/portaudio19-doc_19+svn20071022-3.2_all.deb
portaudio19_19+svn20071022-3.2.diff.gz
  to main/p/portaudio19/portaudio19_19+svn20071022-3.2.diff.gz
portaudio19_19+svn20071022-3.2.dsc
  to main/p/portaudio19/portaudio19_19+svn20071022-3.2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603388@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mehdi Dogguy <mehdi@debian.org> (supplier of updated portaudio19 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 25 Nov 2010 13:22:09 +0100
Source: portaudio19
Binary: libportaudio2 portaudio19-dev portaudio19-doc libportaudiocpp0
Architecture: source all i386
Version: 19+svn20071022-3.2
Distribution: unstable
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Mehdi Dogguy <mehdi@debian.org>
Description: 
 libportaudio2 - Portable audio I/O - shared library
 libportaudiocpp0 - Portable audio I/O C++ bindings - shared library
 portaudio19-dev - Portable audio I/O - development files
 portaudio19-doc - Portable audio I/O - documentation
Closes: 603388
Changes: 
 portaudio19 (19+svn20071022-3.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Build-depend on libjack-dev as an alternative to libjack0.100.0-dev,
     the latter is a virtual package (Closes: #603388).
Checksums-Sha1: 
 4d154705c39399e7418c145661500a744b0343b5 2256 portaudio19_19+svn20071022-3.2.dsc
 1cdfbdce3d31a39ee4e855b1c62bfbb8a0e6a5da 6843 portaudio19_19+svn20071022-3.2.diff.gz
 14b43b275f88c0e7f05d677a38ada3ec0cd4d3c6 694254 portaudio19-doc_19+svn20071022-3.2_all.deb
 6f29790d6f2d56ed897ba27fd627db861eb307a6 63826 libportaudio2_19+svn20071022-3.2_i386.deb
 4b041e6c29167833bfbd05df5a29751863ae44dd 116576 portaudio19-dev_19+svn20071022-3.2_i386.deb
 c11fe548d56bc8a9dd5bb4d9eea9308991f462be 24082 libportaudiocpp0_19+svn20071022-3.2_i386.deb
Checksums-Sha256: 
 0d757bd0ab4e8ac183a0866375cfe4f6883dc34ef085380db4c1980b52f86b34 2256 portaudio19_19+svn20071022-3.2.dsc
 1e2bdfd18f859f8450b36f5aa64228f536e4adabe2f049797e14a60ba2a61ff4 6843 portaudio19_19+svn20071022-3.2.diff.gz
 621f0af87de9af1d939eb99614f27e3e0fbc6477bd91cad5bf6e5d1a9d19b87c 694254 portaudio19-doc_19+svn20071022-3.2_all.deb
 1150090db40509822afbfbf8ad699337f87503600e6355ca4012ca062dbbef68 63826 libportaudio2_19+svn20071022-3.2_i386.deb
 161c8eb096feda6a86f6309bcdbe15982e20246070876ffea008449bd3b4a015 116576 portaudio19-dev_19+svn20071022-3.2_i386.deb
 65c9b3542be8232b1069d423ec0fead2b3367680e463d4b66c744cd87929fd7c 24082 libportaudiocpp0_19+svn20071022-3.2_i386.deb
Files: 
 05724389ad78f7e71e990fa0aac2b8c7 2256 sound optional portaudio19_19+svn20071022-3.2.dsc
 c9ede81f2b8b4adb23fe986676374fe8 6843 sound optional portaudio19_19+svn20071022-3.2.diff.gz
 352463cf1d30eb14e09dcf955f72698a 694254 doc optional portaudio19-doc_19+svn20071022-3.2_all.deb
 5762b37430320c3fad14875026dc3d11 63826 libs optional libportaudio2_19+svn20071022-3.2_i386.deb
 b81c47084f881be6a42863f128583f50 116576 devel optional portaudio19-dev_19+svn20071022-3.2_i386.deb
 cf26a927346727e6e9749d0219a6c8e3 24082 libs optional libportaudiocpp0_19+svn20071022-3.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM7o1gAAoJEDO+GgqMLtj/Z7oP/0tiv1M6Xhv/RpP+nc7c/QaQ
D+FAfSaQHXovvpjYoOlfyYDcKbWhrCA05BR4kAN2u/zkXWQVIv2Gla+FsALjg8sU
gfONkpAF/hMwbTzpB/tDS7KdBiZMbGHfbL0O+xXvxidKEgrdm3dWdF/8MF/C5hZp
DWygWyKVF03Vl5MtakWvxLYL7CybP4OFTaJxmtIMogtyjk5cw5xEAbIsQD+03Nei
r41CWKAiXvL9Axwo+cAuSdDnjaKs7SQ1tBOVLbGrVrFGZeVHQfo+qhZK0guecDq5
qBXb3ncGja3UdBCBldLmZ+UKGbg6Dn4CZKBkdash3EJmPNktrU8wzO+Chp1+xerl
QBci8uvbHESzHcOcKBI0sdGq0jR2tTwC+9mlWr67CrOaa78KdMYBADZgZfrupXFP
FlIUYxogkaqxQtwnqs53IuT+HXm2joNMfVf40h1CizTmFdfru6SE4OgBMMjOi5hk
LEgq7ZYerPX+vm4w3jCGH/q2UVrRSJNT/04Lc5ZBoW46FZ+ZTgGsO/1aFuJRdlDg
FXCtsIx1KBLyI99WlgVa6Iabw0txmuHnV63a0ez48OA9gPczyEQ5nPquE3ez0AV1
dmJE3jMaNdSdkl0C88Hl4nTf0qLzvk9Hf5ts4ZybT47q3POle8S4XeUn9mzkyc2q
523DytJjCTqfO3QiYChJ
=8CNn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Dec 2010 07:31:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:10:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.